Bug 184008 - Review Request: paco
Review Request: paco
Status: CLOSED DUPLICATE of bug 705043
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 19:05 EST by Damien Durand
Modified: 2011-05-16 10:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 18:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2006-03-04 19:05:43 EST
Hello, i have packaged paco 1.10.3

Spec Name or Url: http://glive.tuxfamily.org/fedora/paco/paco.spec

SRPM Name or Url: http://glive.tuxfamily.org/fedora/paco/paco-1.10.3-1.fc5.src.rpm

Description: Paco is a simple yet powerful tool to aid package management when 
installing programs from source code.
It uses the LD_PRELOAD method to track package installations, and 
provides various options to keep the installed software organized.
Comment 1 Jonathan Underwood 2006-03-05 08:36:23 EST
1) Replace paco-1.10.3.tar.bz2 with %{name}-%{version}.tar.bz2 in Source0

2) I think you need Requires: gtk+-2.0 and BuildRequires: gtk+-2.0-devel, as
your current Requires and BuildRequires pull in version 1.0, and building fails:

checking for gtk+-2.0 >= 2.6.0... Package gtk+-2.0 was not found in the
pkg-config search path. Perhaps you should add the directory containing
`gtk+-2.0.pc' to the PKG_CONFIG_PATH environment variable No package 'gtk+-2.0'
found
configure: error: Library requirements (gtk+-2.0 >= 2.6.0) not met; consider
adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a
nonstandard prefix so pkg-config can find them.
error: Bad exit status from /var/tmp/rpm-tmp.25915 (%build)
Comment 2 Paul Howarth 2006-03-06 02:50:31 EST
(In reply to comment #1)
> 2) I think you need Requires: gtk+-2.0 and BuildRequires: gtk+-2.0-devel, as
> your current Requires and BuildRequires pull in version 1.0, and building fails:
> 
> checking for gtk+-2.0 >= 2.6.0... Package gtk+-2.0 was not found in the
> pkg-config search path.

That should be:

BuildRequires: gtk2-devel >= 2.6.0

There's no need to add a Requires: because rpm's autodependency generator will
pick up the shared library deps itself.
Comment 3 Damien Durand 2006-03-06 09:31:29 EST
I've removed the buildrequires depends and remotified spec file.

Spec Url : http://glive.tuxfamily.org/fedora/paco/paco.spec
SRPMS Url : http://glive.tuxfamily.org/fedora/paco/paco-1.10.3-1.fc5.src.rpm
Comment 4 Michael Schwendt 2006-03-11 17:54:14 EST
NEEDSWORK

* Take a look at

  rpm -qlpv paco-1.10.3-1.i386.rpm

and notice that it includes several filesystem directories, which it
must not include, e.g.

  drwxr-xr-x  /usr/lib/pkgconfig
  drwxr-xr-x  /usr/share/applications
  drwxr-xr-x  /usr/share/locale
  drwxr-xr-x  /usr/share/locale/ca
  drwxr-xr-x  /usr/share/locale/ca/LC_MESSAGES
  drwxr-xr-x  /usr/share/locale/fr
  drwxr-xr-x  /usr/share/locale/fr/LC_MESSAGES
  drwxr-xr-x  /usr/share/locale/ru
  drwxr-xr-x  /usr/share/locale/ru/LC_MESSAGES
  drwxr-xr-x  /usr/share/locale/sr
  drwxr-xr-x  /usr/share/locale/sr/LC_MESSAGES
  drwxr-xr-x  /usr/share/man
  drwxr-xr-x  /usr/share/man/man5
  drwxr-xr-x  /usr/share/man/man8
  drwxr-xr-x  /usr/share/pixmaps

Additionally, it must not include the files of the paco-debuginfo
package, which is generated automatically:

  drwxr-xr-x  /usr/lib/debug
  drwxr-xr-x  /usr/lib/debug/usr
  drwxr-xr-x  /usr/lib/debug/usr/bin
  drwxr-xr-x  /usr/lib/debug/usr/lib

* The included pkgconfig file is questionable, since it doesn't include
anything really useful/helpful.

* Package installs shared libraries into %_libdir, but doesn't run
/sbin/ldconfig in %post/%postun scriptlets.

* The included *.so library should not be included.

* Package must not include static archives (*.a), especially not when
there's no API for them.

* Package should not include libtool archives (*.la) unless these are
really required at run-time.

* Package must include the licence file "COPYING" as %doc.

* Package should include the files "AUTHORS" and "BUGS" as %doc.

* Configuration file ought to be marked as such using %config(noreplace).

* Locale message object files must be included with the %find_lang macro
and not by including everything below %_datadir.

* Desktop menu file could need some love:
http://fedoraproject.org/wiki/Packaging/Guidelines

* Run-time issues: Desktop menu entry for gpaco doesn't start anything.
In terminal, I get:

$ gpaco
gpaco: /var/log/paco: No such file or directory
Comment 5 Veeti Paananen 2011-05-15 16:23:35 EDT
Hi!

I've packaged paco 2.0.9 and I've taken the complaints and suggestions here into account while doing so. I wasn't sure if to create a new issue or to comment on this one, though. But without further ado, here's my spec and SRPM files:

Spec: http://rojekti.fi/files/paco/paco.spec
SRPM: http://rojekti.fi/files/paco/paco-2.0.9-1.fc14.src.rpm

This is also my first package and I need a sponsor.
Comment 6 Damien Durand 2011-05-16 06:45:22 EDT
Hello,

Open a new one for more clarity, it's better. I'll close my request as duplicate of your :-)

Damien
Comment 7 Veeti Paananen 2011-05-16 09:35:36 EDT
Hi!

I've created a new request at bug 705043.

Thanks!
Comment 8 Damien Durand 2011-05-16 10:58:05 EDT

*** This bug has been marked as a duplicate of bug 705043 ***

Note You need to log in before you can comment on or make changes to this bug.